/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 话题
 */

import { request } from '../index'

// 首页
const index = () =>{
	return request({
		url: 'health/discover'
	})
}

// 列表
const lists = (data) =>{
	return request({
		url: 'health/topics',
        data: data
	})
}

// 分类
const categories = () =>{
	return request({
		url: 'health/topics/categories'
	})
}

// 详情
const topicDet = (topic) =>{
	return request({
		url: 'health/topics/' + topic
	})
}

// 点赞
const topicThumb = (topic) =>{
	return request({
		url: 'health/topics/' + topic + '/favorite',
        method: 'POST'
	})
}

export {
    index,
	lists,
    categories,
    topicDet,
    topicThumb
}
